PATCH /applications/{appId}/endpoints/{id}
Update an endpoint's URL, description, status, filter types, rate limit, or expiry.

Authentication

API Key (header: X-API-Key) API Key (cookie: better-auth.session_token)

Path Parameters

appId string required path
Application ID
id string required path
Resource ID

Request Body required

Request body

application/json
url string
Updated URL
description string
Updated description
status string
Status: active or disabled
filter_types string[]
Updated filter types
Array of:
rate_limit_per_second number | null
Updated rate limit
expires_at string | null
Updated expiry

Responses

200 Updated endpoint
application/json
endpoint object REQUIRED
id string REQUIRED
org_id string REQUIRED
env_id string REQUIRED
application_id string REQUIRED
url string REQUIRED
description string | null REQUIRED
signing_algorithm string REQUIRED
status string REQUIRED
filter_types string | null REQUIRED
rate_limit_per_second integer | null REQUIRED
expires_at string | null REQUIRED
created_at string REQUIRED
updated_at string REQUIRED
400 No fields to update
401 Unauthorized
curl -X PATCH 'https://hookstream.io/v1/applications/string/endpoints/string' \
  -H 'Authorization: Bearer YOUR_API_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{
  "url": "string",
  "description": "string",
  "status": "string",
  "filter_types": [
    "string"
  ],
  "rate_limit_per_second": 0,
  "expires_at": "string"
}'
const response = await fetch('https://hookstream.io/v1/applications/string/endpoints/string', {
  method: 'PATCH',
  headers: {
      "Authorization": "Bearer YOUR_API_TOKEN",
      "Content-Type": "application/json"
  },
  body: JSON.stringify({
    "url": "string",
    "description": "string",
    "status": "string",
    "filter_types": [
      "string"
    ],
    "rate_limit_per_second": 0,
    "expires_at": "string"
  })
});

const data = await response.json();
console.log(data);
import requests

headers = {
    'Authorization': 'Bearer YOUR_API_TOKEN'
}

response = requests.patch('https://hookstream.io/v1/applications/string/endpoints/string', headers=headers, json={
  "url": "string",
  "description": "string",
  "status": "string",
  "filter_types": [
    "string"
  ],
  "rate_limit_per_second": 0,
  "expires_at": "string"
})
print(response.json())
package main

import (
	"fmt"
	"io"
	"net/http"
	"strings"
)

func main() {
	body := strings.NewReader(`{
  "url": "string",
  "description": "string",
  "status": "string",
  "filter_types": [
    "string"
  ],
  "rate_limit_per_second": 0,
  "expires_at": "string"
}`)
	req, _ := http.NewRequest("PATCH", "https://hookstream.io/v1/applications/string/endpoints/string", body)
	req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")
	req.Header.Set("Content-Type", "application/json")

	resp, _ := http.DefaultClient.Do(req)
	defer resp.Body.Close()
	result, _ := io.ReadAll(resp.Body)
	fmt.Println(string(result))
}
200 Response
{
  "endpoint": {
    "id": "<string>",
    "org_id": "<string>",
    "env_id": "<string>",
    "application_id": "<string>",
    "url": "<string>",
    "description": "<string>",
    "signing_algorithm": "<string>",
    "status": "<string>",
    "filter_types": "<string>",
    "rate_limit_per_second": 123,
    "expires_at": "<string>",
    "created_at": "<string>",
    "updated_at": "<string>"
  }
}
PATCH /applications/{appId}/endpoints/{id}
Ask a question... ⌘I